Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Rfkill e wireless driver problem
#1
Salve sono nuovo sia nel forum che come hacker, nn ne capisco molto e sto cercando di cimentarmi in qiesta impresa... Dunque veniamo al problema:
sto cercando di usare kali linux per testare reti wpa, ma quando cerco di mettere la scheda wireless in monitor mode uno dei problemi e' che nn ho rfkill installato, ho scaricato vari pacchetti con denominazione .rpm ma non so se vanno bene, qualcuno puo' farmi luce su questo?

Poi suppongo devo installare anche i driver della scheda wireless, ma qui arriviamoci dopo Smile

Piccolo dettaglio, io ho kali linux lite (sarebbe la versione da 1gb anziche' 2gb) e lo sto usando tramite usb

ALLEGO la foto per farci vedere che errore mi da


Allegati Anteprime
   
Cita messaggio
Grazie da:
#2
fai un
Codice:
apt-get update
poi riprova ad installarlo. (puoi metterci se vuoi anche l'opzione)
Codice:
--fix-missing
Cita messaggio
Grazie da:
#3
(10-05-2016,00:15 )francesco-tux Ha scritto: fai un
Codice:
apt-get update
poi riprova ad installarlo. (puoi metterci se vuoi anche l'opzione)
Codice:
--fix-missing

Grazie mille ma essendo inesperto ai massimi livelli mi potresti dire che comando dare per installarlo, io ho questo pacchetto rfkill-0.5-6.mga6.armv5tl.rpm io ho provato diverse volte ma non ci son riuscito
Cita messaggio
Grazie da:
#4
Nessuno che sappia qualcosa raga?
Cita messaggio
Grazie da:
#5
Leggo su wikipedia che è basata su debian, quindi il comando per l'installazione dovrebbe essere

Codice:
su
password
Codice:
apt-get install rfkill
o anche
Codice:
aptitude install rfkill
Ps: essendo debian derivata usa pacchetti .deb gli .rpm non funzionano
Cita messaggio
Grazie da:
#6
Provato ora ma con scarsi risultati, sempre la stessa cosa di prima mi dice, qualcuno mi sa dire se a livello di parametri generali devo tenere internet scollegato e cose simili..... Grazie
Cita messaggio
Grazie da:
#7
Provato ora che? (ti sono stati dati due diversi indirizzi)

Devi essere in internet.
Devi essere root (dalla foto si vede che lo sei).
Devi dare i comandi che ti ha suggerito francesco-tux (che sono poi quelli che ti suggerisce il messaggio di errore postato).

Il file che dicevi di aver trovato e volevi installare è un pacchetto di installazione rpm, di default non compatibile con la tua distribuzione (che usa pacchetti deb), creato per la distribuzione Mageia (che non è la tua) ed è per macchina con architettura arm (diffusa su tablet e microcomputer), mentre la tua è i386 (normale pc).

Bye,
Token
Cita messaggio
Grazie da:
#8
(13-05-2016,18:07 )token Ha scritto: Provato ora che? (ti sono stati dati due diversi indirizzi)

Devi essere in internet.
Devi essere root (dalla foto si vede che lo sei).
Devi dare i comandi che ti ha suggerito francesco-tux (che sono poi quelli che ti suggerisce il messaggio di errore postato).

Il file che dicevi di aver trovato e volevi installare è un pacchetto di installazione rpm, di default non compatibile con la tua distribuzione (che usa pacchetti deb), creato per la distribuzione Mageia (che non è la tua) ed è per macchina con architettura arm (diffusa su tablet e microcomputer), mentre la tua è i386 (normale pc).

Bye,
Token

Grazie token ne sto capendo di piu' ma siccome ora a casa sono senza internet, DOMANDA STUPIDA:e' possibile eseguire questa operazione da un altro posto dove non arriva il segnale wireless che mi serve? (magari si puo' fare e son io a nn aver capito un ca...o)
Cita messaggio
Grazie da:
#9
Per installare nuovi pacchetti tramite apt-get è necessario avere un accesso ad internet.

Puoi installare anche senza avere accesso ad internet, usando (per i pacchetti deb) dpkg o gdebi (anche ubuntu software center), ma:
. devi aver precedentemente scaricato il corretto pacchetto da installare (ovviamente);
. devi augurarti di non aver necessità di altri ulteriori pacchetti necessari per l'installazione di quello che a te interessa (le cosiddette "dipendenze"), altrimenti li dovrai reperire ed installare prima ... ed anche per questi vale la stessa cosa.

Bye,
Token
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)